
QGIS Application - Bug report #14474

Processing menu icons don't scale on HiDPI

2016-03-13 05:20 AM - Anita Graser

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22452

Description

In all other menus, the icons scale and are displayed bigger on HiDPI screens but the Processing menu icons remain tiny:

Related issues:

Related to QGIS Application - Feature request # 11103: Support for retina dis... Closed 2014-08-26

Associated revisions

Revision 660bb273 - 2016-03-25 02:19 PM - Alexander Bruy

[processing] replace some raster icons with SVG to improve HiDPI support (refs #14474)

Revision 0505ad06 - 2016-03-28 10:02 AM - Alexander Bruy

[processing] replace some raster icons with SVG to improve HiDPI support (refs #14474)
Revision aef26c90 - 2016-04-01 03:48 PM - Alexander Bruy

[processing] more HiDPI fixes (refs #14474)

Revision e40a1647 - 2016-04-06 01:45 PM - Alexander Bruy

[processing] more HiDPI fixes (refs #14474)

Revision 00ee2ad9 - 2016-12-31 05:59 AM - Mathieu Pellerin - nIRV

[processing] vectorize and improve menu icons (fixes #14474)

History

#1 - 2016-03-19 11:47 PM - Alexander Bruy

Processing icons are rasters with small size (16x16). Also they does not fit well into main QGIS iconset, we definitely need new icons preferably in SVG

format.

#2 - 2016-03-20 02:31 AM - Anita Graser

Sent out a call to the UX list http://osgeo-org.1560.x6.nabble.com/Processing-needs-SVG-icons-tc5257456.html

#3 - 2016-03-25 06:20 AM - Alexander Bruy

I replaced some provider icons with SVG in commit:660bb27388. Hope this helps with some toolbox icons (QGIS, GDAL, GRASS, R)

#4 - 2016-04-10 11:55 PM - Alexander Bruy

- Status changed from Open to In Progress

#5 - 2016-12-30 08:57 PM - Mathieu Pellerin - nIRV

- Status changed from In Progress to Closed

Fixed in changeset commit:"00ee2ad9899bf3df48e1ccd7f02b55e803e0c92e".
